org.apache.hc.client5.http.async.methods

## Class IgnoreCompleteExceptionFutureCallback<T>

- java.lang.Object
- - org.apache.hc.client5.http.async.methods.IgnoreCompleteExceptionFutureCallback<T>

All Implemented Interfaces:
  FutureCallback<T>

Direct Known Subclasses:
  IgnoreCompleteExceptonFutureCallback

    public class IgnoreCompleteExceptionFutureCallback<T>
    extends Object
    implements FutureCallback<T>

Since:
  5.2

### Constructor Summary

Constructors
Constructor and Description
`IgnoreCompleteExceptionFutureCallback(FutureCallback<T> callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancelled()`
`void` `completed(T result)`
`void` `failed(Exception ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnoreCompleteExceptionFutureCallback

    public IgnoreCompleteExceptionFutureCallback(FutureCallback<T> callback)

### Method Detail

#### completed

    public void completed(T result)

Specified by:
  `completed` in interface `FutureCallback<T>`

#### failed

    public void failed(Exception ex)

Specified by:
  `failed` in interface `FutureCallback<T>`

#### cancelled

    public void cancelled()

Specified by:
  `cancelled` in interface `FutureCallback<T>`